Home > Cannot Load > Cannot Load Apache2/mod_passenger.so

Cannot Load Apache2/mod_passenger.so

Not the answer you're looking for? This makes for a nice easy upgrade path from one version of Ruby to the next. The passenger module is installed in your current gemset so you shouldn't get any conflicts between projects. Passenger was confused which ruby version to use so I changed the LoadModule, PassengerRoot and PassengerRuby paths within apache2/mods-enabled/passenger.load and .config to the correct paths and it finally worked! http://ecoflashapps.com/cannot-load/cannot-load-apache2-4-dll.html

It is possible to define metric spaces from pure topological concepts without the need to define a distance function? Browse other questions tagged apache-2.2 phusion-passenger or ask your own question. My virtual host currently looks like this; ServerName issues.ember.co.uk DocumentRoot /var/www/html/redmine-2.3/public ErrorLog logs/redmine_error_log PassengerDefaultUser apache Allow from all Options -MultiViews which ruby reports this/usr/local/rvm/rubies/ruby-1.9.3-p392/bin/ruby rails You can use any compatible version of Ruby, and any gemset you like, via RVM, and possibly also RBENV. http://serverfault.com/questions/139790/apache2-server-does-not-start-cannot-pen-shared-object-file

On what operating system? 3.0.19, rails 3.2.9, ruby 1.9.3 P327, RHEL 6.3, apache 2.2.25 Please provide any additional information below. Comments supersonic feet » Blog Archive » Installing Phusion Passenger on a cPanel server says: September 21st, 2008 at 4:08 pm [...] to a blog post from Peter Cooper for that In /usr/local/ I had ruby1.9.2-p0 installed (which was the version I wanted to use) but in /usr/ i had ruby1.8.7 installed. I understand the shared object file is mission, what could be the reason it got deleted.

member FooBarWidget commented May 29, 2014 From ffallateuf on January 17, 2013 12:13:15 I can confirm that the change proposed had no effect. A different way to handle Microsoft Exchange emails How can I remove an Online Account? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 136 Star 3,612 Fork 454 phusion/passenger Code Issues 155 Pull requests 4 Projects asked 2 years ago viewed 2986 times active 2 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Related 1Cannot deploy to AWS EC2 with Rubber1Rails Rubber EC2 Amazon

We recommend upgrading to the latest Safari, Google Chrome, or Firefox. apache-2.2 phusion-passenger share|improve this question asked May 8 '10 at 6:12 sid__ 184126 add a comment| 2 Answers 2 active oldest votes up vote 7 down vote accepted If you don't Using multiple workspace environments ArcGIS Python more hot questions question feed default about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology My cat sat down on my laptop, now the right side of my keyboard types the wrong characters What was Stan Lee's character reading on the bus in Doctor Strange Why

someone has revolved something like this? FooBarWidget closed this May 29, 2014 Sign up for free to join this conversation on GitHub. Phusion B.V. But I don't get any errors from that.

Real numbers which are writable as a differences of two transcendental numbers Why is this C++ code faster than my hand-written assembly for testing the Collatz conjecture? https://github.com/phusion/passenger/issues/839 What is the temperature of the brakes after a typical landing? 40 Vertices And A Connected Graph, Minimum Number Of Edges? How can a Cleric be proficient in warhammers? Execute: passenger-install-apache2-module This will create the mod_passenger.so file inside your gem directory, and give you three lines to copy into your apache2.conf file.

RE: Cannot get Passenger to launch Redmine - Added by Ruari Mactaggart over 2 years ago My rails is 3.2.13. http://ecoflashapps.com/cannot-load/cannot-load-usr-libexec-apache2-mod-dav-svn-so.html The module PassengerDefaultRuby is set to /usr/local/rvm/wrappers/ruby-2.0.0-p247/ruby RE: Cannot get Passenger to launch Redmine - Added by Alex Wilhelmy over 2 years ago I don't know. Do you see anything in the apache or your rails app logs? –dpb Jun 12 '11 at 22:38 i finally figured out what the problem was and passenger is In my case, the file was, passenger.load.

share|improve this answer edited Nov 5 '14 at 7:17 answered Sep 19 '12 at 15:26 superluminary 20.6k117896 This might be of interest too rvm.io/integration/passenger –carnator Jan 15 '13 at what could be done? –vishB Feb 1 '13 at 7:18 @vishB any more details? Alex RE: Cannot get Passenger to launch Redmine - Added by Ruari Mactaggart over 2 years ago passenger-status gave me this; /usr/local/lib/ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could not find passenger (>= 0) amongst [actionmailer-3.2.13, Source If only I'd found [...] Adam says: September 21st, 2008 at 4:10 pm Thanks Peter, this post was hugely helpful to me.

Not the answer you're looking for? I used passenger.load. If not, you're way too far down the line with reading this article and need to get up to speed with actually getting those on to your box :) Google will

RE: error restarting apache2 - Added by jam vzla about 2 years ago hi, i changed in the passenger.load to right ubication.

member FooBarWidget commented May 29, 2014 From jimmyhappy88 on January 15, 2013 22:43:38 I did the same above but showed "Cannot load /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.19/ext/apache2/mod_passenger.so into server: /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.19/ext/apache2/mod_passenger.so: undefined symbol: ap_unixd_config" Phusion B.V. apache2 share|improve this question edited Mar 28 '14 at 16:02 Avinash Raj 37.1k29120164 asked Mar 28 '14 at 15:47 kenn 1,57931732 can you have a look at this, ---- According to this page you don't put it inside the directory tags... Set APXS2 to the correct Apache version's apxs2 command and re-run the installer.

thx in advance jm3dina Replies (2) RE: error restarting apache2 - Added by Billy T about 2 years ago you probably have upgraded ruby version. Adverb for "syntax" Count trailing truths A different way to handle Microsoft Exchange emails Any way to color lines in a Line command? Which TeX editors are able to compile just a snippet of a .tex file? have a peek here But I cannot get it to do the same with Apache + Passenger.